#![no_std]
#![no_main]

use cortex_m_rt::entry;

use rtt_target::{rprintln, rtt_init_print};
use stm32h7::stm32h753 as pac;

use panic_rtt_target as _;

#[link_section = ".extflashdata"]
static TEST: [bool; 5] = [false, true, false, false, true];

#[entry]
fn main() -> ! {
    rtt_init_print!();
    let dp = unsafe { pac::Peripherals::steal() };
    rprintln!("Running simple LED program");

    dp.RCC.ahb4enr.write(|w| w.gpiofen().enabled());
    dp.GPIOF.moder.write(|w| w.moder10().output());
    dp.GPIOF.otyper.write(|w| w.ot10().open_drain());

    for &i in TEST.iter().cycle() {
        dp.GPIOF.odr.modify(|_, w| w.odr10().bit(i));

        rprintln!("{:x?}", i);
        cortex_m::asm::delay(100_000_000);
    }

    unreachable!()
}
